import path from 'path';
import { copyrightSnippet } from '../copyright.js';
import { generateNestProjectProcess } from './helpers/generate-project.js';
import { NestProjectUpdate } from './helpers/modify-nest-project.js';
import { checkForNestJsCli } from './helpers/npm-list-nestjs-cli.js';
import { npmInstallNestJsCli } from './helpers/npm-install-nestjs-cli.js';
export const generateNestProject = async (projectName) => {
    console.log();
    console.log(copyrightSnippet);
    console.log();
    const projectPath = path.join(process.cwd(), projectName);
    const nestIsInstalled = await checkForNestJsCli();
    if (!nestIsInstalled) {
        await npmInstallNestJsCli();
    }
    await generateNestProjectProcess(projectName);
    console.log('\nNavigate into your project and run "yarn install" to install the bitloops dependencies');
    const projectUpdates = new NestProjectUpdate(projectPath);
    await projectUpdates.run();
};
export default generateNestProject;
