import { spawn } from 'child_process';
export const npmInstallNestJsCli = async () => {
    return new Promise((resolve, reject) => {
        const NEST_JS_SUCCESSFULLY_INSTALLED_MESSAGE = 'NestJS CLI installed successfully.\n';
        const NEST_JS_INSTALL_ERROR_MESSAGE = 'An error has occurred during the installation of @nestjs/cli.\nPlease run "npm install -g @nestjs/cli@9.5.0" to install it.\n';
        const command = spawn('npm', ['install', '-g', '@nestjs/cli@9.5.0']);
        command.stdout.on('data', (data) => {
            console.log(data.toString());
        });
        command.stderr.on('data', (data) => {
            console.error(data.toString());
        });
        command.on('close', (code) => {
            if (code === 0) {
                console.log(NEST_JS_SUCCESSFULLY_INSTALLED_MESSAGE);
                resolve();
                return;
            }
            console.log(NEST_JS_INSTALL_ERROR_MESSAGE);
            reject();
        });
        command.on('error', () => {
            console.log(NEST_JS_INSTALL_ERROR_MESSAGE);
            reject();
        });
    });
};
