import { spawn } from 'child_process';
export const checkForNestJsCli = async () => {
    return new Promise((resolve, reject) => {
        const NEST_JS_NOT_INSTALLED_MESSAGE = 'NestJS CLI is not installed. We are going to install it...\n';
        const NEST_JS_INSTALLED_MESSAGE = 'NestJS CLI is installed.\n';
        const command = spawn('npm', ['list', '-g', '@nestjs/cli@9.5.0']);
        command.stdout.on('data', (data) => {
            console.log(data.toString());
        });
        command.stderr.on('data', (data) => {
            console.error(data.toString());
        });
        command.on('close', (code) => {
            if (code === 0) {
                console.log(NEST_JS_INSTALLED_MESSAGE);
                resolve(true);
                return;
            }
            console.log(NEST_JS_NOT_INSTALLED_MESSAGE);
            resolve(false);
        });
        command.on('error', () => {
            reject();
        });
    });
};
